/*
 * DatabaseTest.java   E.L. 2005-02-22
 *
 * Enkel testklient for klassen Database
 */

import static javax.swing.JOptionPane.*;
import java.util.*;
import mittBibliotek.Person;

class DatabaseTest {
  public static void main(String[] args) throws Exception {
    String dbDriver = "oracle.jdbc.driver.OracleDriver";
    String dbNavn = "jdbc:oracle:thin:@oracle.stud.aitel.hist.no:1521:oracle";
    String brukernavn = showInputDialog("Brukernavn: ");
    String passord = showInputDialog("Passord: ");
    int oracleFeilkode = 1; // hvis duplikate primrnkler

    Database db = new Database(dbDriver, dbNavn, brukernavn, passord, oracleFeilkode);

    System.out.println("Finn alle:");
    ArrayList<Person> alle = db.finnAlle();
    for (Person enPerson : alle) System.out.println(enPerson);

    System.out.println("Registrerer se Hansen:");
    Person personen = db.registrerNyPerson("se", "Hansen");
    System.out.println("Hun fikk nr.: " + personen.finnPersonNr());

    System.out.println("Alle etter at ny person er lagt inn:");
    alle = db.finnAlle();
    for (Person enPerson : alle) System.out.println(enPerson);

    System.out.println("Endrer fornavnet se til Berit:");
    personen.settFornavn("Berit");
    if (db.endreNavn(personen)) System.out.println("Fornavnet endret");
    else System.out.println("Fikk ikke endret fornavnet");

    System.out.println("Endrer etternavnet fra Hansen til Sols:");
    personen.settEtternavn("Sols");
    if (db.endreNavn(personen)) System.out.println("Etternavnet endret");
    else System.out.println("Fikk ikke endret etternavnet");

    System.out.println("Skal slette person nr 102");
    if (db.slettPerson(102)) System.out.println("Person 102 er slettet");
    else System.out.println("Person 102 er ikke slettet");

    System.out.println("Alle etter endringer og sletting:");
    alle = db.finnAlle();
    for (Person enPerson : alle) System.out.println(enPerson);
    db.kobleNedForbindelse();   // NB!
  }
}

/* Utskrift fra programmet forutsatt at tre personer ligger i databasen fr kjring:
Finn alle:
select persnr, initcap(fornavn) as fn, initcap(etternavn) as en
from person order by etternavn, fornavn
102: Hansen, Jonny
100: Hansen, Ole
101: s, Anne Grethe
Registrerer se Hansen:
insert into person values(103, upper('se'), upper('Hansen'))
Hun fikk nr.: 103
Alle etter at ny person er lagt inn:
select persnr, initcap(fornavn) as fn, initcap(etternavn) as en
from person order by etternavn, fornavn
102: Hansen, Jonny
100: Hansen, Ole
103: Hansen, se
101: s, Anne Grethe
Endrer fornavnet se til Berit:
update person set fornavn = upper('Berit'), etternavn = upper('Hansen') where persnr = 103
Fornavnet endret
Endrer etternavnet fra Hansen til Sols:
update person set fornavn = upper('Berit'), etternavn = upper('Sols') where persnr = 103
Etternavnet endret
Skal slette person nr 102
delete from person where persnr = 102
Person 102 er slettet
Alle etter endringer og sletting:
select persnr, initcap(fornavn) as fn, initcap(etternavn) as en
from person order by etternavn, fornavn
100: Hansen, Ole
103: Sols, Berit
101: s, Anne Grethe
Har koblet ned en databaseforbindelse
*/