/*
 * HandterNavneregister.java   E.L. 2006-02-02
 *
 * Programmet vedlikeholder en tekstfil med navn.
 * Programliste 12.1 i lreboka, revidert slik at filen opprettes
 * dersom den ikke eksisterer. Katalognavn leses inn
 * fra brukeren.
 */

import java.io.*;
import static javax.swing.JOptionPane.*;
class HandterNavneregister {
  public static void main(String[] args) throws IOException {
    String filnavn = showInputDialog("Oppgi fullt filnavn inkl. katalog (sti): ");
    /*
     * Leser inn alle navnene og skriver dem ut p skjermen
     */
    try {
      FileReader leseforbTilFil = new FileReader(filnavn);
      BufferedReader leser = new BufferedReader(leseforbTilFil);

      String etNavn = leser.readLine();
      String innlesteNavn = "Flgende navn er registrert:";
      while(etNavn != null) {   // null betyr filslutt
        innlesteNavn += ("\n" + etNavn);
        etNavn = leser.readLine();
      }
      leser.close();
      showMessageDialog(null, innlesteNavn);
    } catch (FileNotFoundException e) {
      showMessageDialog(null, "Filen eksisterer ikke, den blir opprettet.");
    }
    /*
     * Skal nye navn registreres?
     */
    int svar = showConfirmDialog(null, "Skal navn registreres?",
                                       "Navneregister", YES_NO_OPTION);
    if (svar == YES_OPTION) {
      FileWriter skriveforbTilFil = new FileWriter(filnavn, true);
      PrintWriter skriver = new PrintWriter(new BufferedWriter(skriveforbTilFil));
      while (svar == YES_OPTION) {
        String nyttNavn = showInputDialog("Oppgi et navn: ");
        skriver.println(nyttNavn);
        svar = showConfirmDialog(null, "Skal flere navn registreres?",
                                       "Navneregister", YES_NO_OPTION);
      }
      skriver.close();
      showMessageDialog(null, "Filen " + filnavn + " er oppdatert.");
    }
  }
}

/*
=> Datafilen fr programmet kjres:
Anne Eriksen
Tove s
Berit Jensen

=> Utskriftvinduet ved kjring:
Anne Eriksen
Tove s
Berit Jensen
***Inndata: Sprsml: Skal flere navn registreres? Svar: Ja.
***Inndata: Oppgi et navn:  Toril Sollien
***Inndata: Sprsml: Skal flere navn registreres? Svar: Ja.
***Inndata: Oppgi et navn:  Arne Hkonsen
***Inndata: Sprsml: Skal flere navn registreres? Svar: Nei.

=> Datafilen etter at programmet er kjrt:
Anne Eriksen
Tove s
Berit Jensen
Toril Sollien
Arne Hkonsen

*/