/*
 * LagDatabase.java
 *
 * Programmet lager en eksempeldatabasen.
 * Brukernavn og passord brukes ikke.
 */
import java.sql.*;
import javax.swing.*;
class LagDatabase {
  public static void main(String[] args) throws Exception {
    String databasedriver = "oracle.jdbc.driver.OracleDriver";
    Class.forName(databasedriver);

    /*Der
     * Vi lager en database som heter person p stende katalog,
     * dersom databasen allerede eksisterer blir create=true ignorert.
     */
    String databasenavn = "jdbc:oracle:thin:@oracle.stud.aitel.hist.no:1521:oracle";
    Connection forbindelse = DriverManager.getConnection(databasenavn, "elsele", "elsele");

    Statement setning = forbindelse.createStatement();

    /* drop-setningen bruker vi dersom vi skal rydde opp og lage ny database */
    try {
      setning.executeUpdate("drop table person cascade constraints");
      System.out.println("Har slettet tabellen person");
    } catch (SQLException e) {
      System.out.println("Fikk ikke til  slette tabell: " + e);
    }

    setning.executeUpdate("create table person(persnr integer primary key, " +
      "fornavn varchar(30) not null, etternavn varchar(30) not null)");
    int ant = setning.executeUpdate("insert into person values (100, 'OLE', 'HANSEN')");
    System.out.println(ant + " rad er lagt inn.");
    ant = setning.executeUpdate("insert into person values (101, 'ANNE GRETHE', 'S')");
    System.out.println(ant + " rad er lagt inn.");
    ant = setning.executeUpdate("insert into person values (102, 'JONNY', 'HANSEN')");
    System.out.println(ant + " rad er lagt inn.");

    setning.close();

    forbindelse.close();
    System.exit(0);
  }
}

/* Utskrift (nr tabellen person ikke eksisterer p forhnd):
Fikk ikke til  slette tabell: SQL Exception: 'DROP TABLE' cannot be performed on 'PERSON' because i
t does not exist.
1 rad er lagt inn.
1 rad er lagt inn.
1 rad er lagt inn.
*/